> This is Payabli documentation. For a complete page index, fetch https://docs.payabli.com/llms.txt — append .md to any page URL for lightweight markdown. For section-level indexes, query parameters, and other AI-optimized access methods, see https://docs.payabli.com/ai-agents.md

# Export invoices by paypoint

GET https://api-sandbox.payabli.com/api/Export/invoices/{format}/{entry}

<Warning>
  This endpoint is deprecated. To export this data, use [List invoices by paypoint](/developers/api-reference/invoice/get-list-of-invoices-for-an-entrypoint) with the `exportFormat` query parameter instead.
</Warning>

Export list of invoices for an entrypoint. Use filters to limit results.

Reference: https://docs.payabli.com/developers/api-reference/invoice/export-list-of-invoices-for-an-entrypoint

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: payabliApi-oas
  version: 1.0.0
paths:
  /Export/invoices/{format}/{entry}:
    get:
      operationId: ExportInvoices
      summary: Export list of invoices for an entrypoint
      description: |-
        <Warning>
          This endpoint is deprecated. To export this data, use [List invoices by paypoint](/developers/api-reference/invoice/get-list-of-invoices-for-an-entrypoint) with the `exportFormat` query parameter instead.
        </Warning>

        Export list of invoices for an entrypoint. Use filters to limit results.
      tags:
        - Export
      parameters:
        - name: entry
          in: path
          description: >-
            The paypoint's entrypoint identifier. [Learn
            more](/developers/api-reference/api-overview#entrypoint-vs-entry)
          required: true
          schema:
            type: string
        - name: format
          in: path
          description: Format for the export, either XLSX or CSV.
          required: true
          schema:
            $ref: '#/components/schemas/ExportFormat1'
        - name: columnsExport
          in: query
          required: false
          schema:
            type: string
        - name: fromRecord
          in: query
          description: >-
            The number of records to skip before starting to collect the result
            set.
          required: false
          schema:
            type: integer
            default: 0
        - name: limitRecord
          in: query
          description: >-
            The number of records to return for the query. The maximum is 30,000
            records. When this parameter isn't sent, the API returns up to
            25,000 records.
          required: false
          schema:
            type: integer
            default: 25000
        - name: parameters
          in: query
          description: >-
            Collection of field names, conditions, and values used to filter the
            query


            <Info>
              **You must remove `parameters=` from the request before you send it, otherwise Payabli will ignore the filters.**

              Because of a technical limitation, you can't make a request that includes filters from the API console on this page. The response won't be filtered. Instead, copy the request, remove `parameters=` and run the request in a different client.

              For example:

              --url https://api-sandbox.payabli.com/api/Query/transactions/org/236?parameters=totalAmount(gt)=1000&limitRecord=20

              should become:

              --url https://api-sandbox.payabli.com/api/Query/transactions/org/236?totalAmount(gt)=1000&limitRecord=20
            </Info>


            See [Filters and Conditions
            Reference](/developers/developer-guides/pay-ops-reporting-engine-overview#filters-and-conditions-reference)
            for help.


            List of field names accepted:
             - `invoiceDate` (gt, ge, lt, le, eq, ne)
             - `dueDate` (gt, ge, lt, le, eq, ne)
             - `sentDate` (gt, ge, lt, le, eq, ne)
             - `frequency`  (in, nin,ne, eq)
             - `invoiceType`   (eq, ne)
             - `payTerms`   (in, nin, eq, ne)
             - `paypointId`  (ne, eq)
             - `totalAmount`  (gt, ge, lt, le, eq, ne)
             - `paidAmount`  (gt, ge, lt, le, eq, ne)
             - `status`   (in, nin, eq, ne)
             - `invoiceNumber`   (ct, nct, eq, ne)
             - `purchaseOrder`   (ct, nct, eq, ne)
             - `itemProductCode` (ct, nct)
             - `itemDescription` (ct, nct)
             - `customerFirstname`   (ct, nct, eq, ne)
             - `customerLastname`    (ct, nct, eq, ne)
             - `customerName`   (ct, nct)
             - `customerId`  (eq, ne)
             - `customerNumber`  (ct, nct, eq, ne)
             - `customerCompanyname`    (ct, nct, eq, ne)
             - `customerAddress` (ct, nct, eq, ne)
             - `customerCity`    (ct, nct, eq, ne)
             - `customerZip` (ct, nct, eq, ne)
             - `customerState` (ct, nct, eq, ne)
             - `customerCountry` (ct, nct, eq, ne)
             - `customerPhone` (ct, nct, eq, ne)
             - `customerEmail` (ct, nct, eq, ne)
             - `customerShippingAddress` (ct, nct, eq, ne)
             - `customerShippingCity` (ct, nct, eq, ne)
             - `customerShippingZip` (ct, nct, eq, ne)
             - `customerShippingState` (ct, nct, eq, ne)
             - `customerShippingCountry` (ct, nct, eq, ne)
             - `orgId`  (eq)
             - `paylinkId`  (ne, eq)
             - `paypointLegal`  (ne, eq, ct, nct)
             - `paypointDba`  (ne, eq, ct, nct)
             - `orgName`  (ne, eq, ct, nct)
             - `additional-xxx`  (ne, eq, ct, nct) where xxx is the additional field name

            List of comparison accepted - enclosed between parentheses:
             - eq or empty => equal
             - gt => greater than
             - ge => greater or equal
             - lt => less than
             - le => less or equal
             - ne => not equal
             - ct => contains
             - nct => not contains
             - in => inside array
             - nin => not inside array

            List of parameters accepted:
             - `limitRecord` : max number of records for query (default="20", "0" or negative value for all)
             - `fromRecord` : initial record in query

            Example: `totalAmount(gt)=20` returns all records with `totalAmount`
            greater than 20.00
          required: false
          schema:
            type: object
            additionalProperties:
              type:
                - string
                - 'null'
        - name: requestToken
          in: header
          description: >
            Long-lived API token sent in the `requestToken` header. See [API
            token authentication](/developers/api-tokens).
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/File'
        '400':
          description: Bad request / invalid data.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayabliErrorBody'
        '401':
          description: Unauthorized request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayabliErrorBody'
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayabliErrorBody'
        '503':
          description: Database connection error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayabliErrorBody'
servers:
  - url: https://api-sandbox.payabli.com/api
    description: Sandbox
  - url: https://api.payabli.com/api
    description: Production
components:
  schemas:
    ExportFormat1:
      type: string
      enum:
        - csv
        - xlsx
      title: ExportFormat1
    File:
      type: object
      additionalProperties:
        description: Any type
      description: >-
        A file containing the response data, in the format specified in the
        request.
      title: File
    PayabliErrorBodyResponseData:
      type: object
      properties:
        explanation:
          type: string
          description: Human-readable explanation of what happened.
        todoAction:
          type: string
          description: Suggested resolution.
      description: Object with detailed error context.
      title: PayabliErrorBodyResponseData
    PayabliErrorBody:
      type: object
      properties:
        isSuccess:
          type: boolean
          description: Always `false` for error responses.
        responseCode:
          type: integer
          description: |
            Code for the response. Learn more in
            [API Response Codes](/developers/api-reference/api-responses).
        responseText:
          type: string
          description: Error text describing what went wrong.
        responseData:
          $ref: '#/components/schemas/PayabliErrorBodyResponseData'
          description: Object with detailed error context.
      required:
        - isSuccess
        - responseText
      description: |
        Shape returned by every Payabli API error response. The `responseData`
        object carries human-readable error context.
      title: PayabliErrorBody
  securitySchemes:
    APIKeyAuth:
      type: apiKey
      in: header
      name: requestToken
      description: >
        Long-lived API token sent in the `requestToken` header. See [API token
        authentication](/developers/api-tokens).
    BearerAuth:
      type: http
      scheme: bearer
      description: >
        OAuth2 Bearer access token from the client-credentials flow. See [OAuth
        authentication](/developers/oauth-authentication).

```

## Examples



**Response**

```json
{
  "key": "value"
}
```

**SDK Code**

```typescript
import { PayabliClient } from "@payabli/sdk-node";

async function main() {
    const client = new PayabliClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.export.exportInvoices("8cfec329267", "csv", {
        columnsExport: "BatchDate:Batch_Date,PaypointName:Legal_name",
        fromRecord: 251,
        limitRecord: 1000,
    });
}
main();

```

```python
from payabli import payabli

client = payabli(
    api_key="YOUR_API_KEY_HERE",
)

client.export.export_invoices(
    entry="8cfec329267",
    format="csv",
    columns_export="BatchDate:Batch_Date,PaypointName:Legal_name",
    from_record=251,
    limit_record=1000,
)

```

```java
package com.example.usage;

import io.github.payabli.api.PayabliPayabliApiOasClient;
import io.github.payabli.api.resources.export.requests.ExportInvoicesRequest;
import io.github.payabli.api.types.ExportFormat1;

public class Example {
    public static void main(String[] args) {
        PayabliPayabliApiOasClient client = PayabliPayabliApiOasClient
            .builder()
            .apiKey("YOUR_API_KEY_HERE")
            .build();

        client.export().exportInvoices(
            ExportFormat1.CSV,
            "8cfec329267",
            ExportInvoicesRequest
                .builder()
                .columnsExport("BatchDate:Batch_Date,PaypointName:Legal_name")
                .fromRecord(251)
                .limitRecord(1000)
                .build()
        );
    }
}
```

```ruby
require "payabli"

client = Payabli::Client.new(api_key: "YOUR_API_KEY_HERE")

client.export.export_invoices(
  entry: "8cfec329267",
  format: "csv",
  columns_export: "BatchDate:Batch_Date,PaypointName:Legal_name",
  from_record: 251,
  limit_record: 1000
)

```

```csharp
using PayabliPayabliApiOas;
using System.Threading.Tasks;

namespace Usage;

public class Example
{
    public async Task Do() {
        var client = new PayabliPayabliApiOasClient(
            apiKey: "YOUR_API_KEY_HERE"
        );

        await client.Export.ExportInvoicesAsync(
            ExportFormat1.Csv,
            "8cfec329267",
            new ExportInvoicesRequest {
                ColumnsExport = "BatchDate:Batch_Date,PaypointName:Legal_name",
                FromRecord = 251,
                LimitRecord = 1000
            }
        );
    }

}

```

```go
package example

import (
    context "context"

    payabli "github.com/payabli/sdk-go"
    client "github.com/payabli/sdk-go/client"
    option "github.com/payabli/sdk-go/option"
)

func do() {
    client := client.NewClient(
        option.WithApiKey(
            "YOUR_API_KEY_HERE",
        ),
    )
    request := &payabli.ExportInvoicesRequest{
        ColumnsExport: payabli.String(
            "BatchDate:Batch_Date,PaypointName:Legal_name",
        ),
        FromRecord: payabli.Int(
            251,
        ),
        LimitRecord: payabli.Int(
            1000,
        ),
    }
    client.Export.ExportInvoices(
        context.TODO(),
        payabli.ExportFormat1Csv.Ptr(),
        "8cfec329267",
        request,
    )
}

```

```php
<?php

namespace Example;

use Payabli\PayabliClient;
use Payabli\Types\ExportFormat1;
use Payabli\Export\Requests\ExportInvoicesRequest;

$client = new PayabliClient(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->export->exportInvoices(
    '8cfec329267',
    ExportFormat1::Csv->value,
    new ExportInvoicesRequest([
        'columnsExport' => 'BatchDate:Batch_Date,PaypointName:Legal_name',
        'fromRecord' => 251,
        'limitRecord' => 1000,
    ]),
);

```

```swift
import Foundation

let headers = ["requestToken": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-sandbox.payabli.com/api/Export/invoices/csv/8cfec329267?columnsExport=BatchDate%3ABatch_Date%2CPaypointName%3ALegal_name&fromRecord=251&limitRecord=1000")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```